Arbor 3: FSM & BT Graph Editor 3.5.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
FlexibleRigidbody2D Class Reference

Class to handle a flexible Rigidbody2D type reference method there is more than one. More...

Inheritance diagram for FlexibleRigidbody2D:

## Public Member Functions
| FlexibleRigidbody2D ()
| FlexibleRigidbody2D default constructor More...
| FlexibleRigidbody2D (Rigidbody2D value)
| FlexibleRigidbody2D constructor More...
| FlexibleRigidbody2D (Rigidbody2DParameterReference parameter)
| FlexibleRigidbody2D constructor More...
| FlexibleRigidbody2D (InputSlotRigidbody2D slot)
| FlexibleRigidbody2D constructor More...
FlexibleComponent | ToFlexibleComponent ()
| Convert to FlexibleComponent and return it. More...
Public Member Functions inherited from FlexibleField< Rigidbody2D >
override object | GetValueObject ()
| Return the value as object. More...
| FlexibleField ()
| FlexibleField default constructor More...
| FlexibleField (T value)
| FlexibleField constructor More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleField constructor More...
| FlexibleField (InputSlotAny slot)
| FlexibleField constructor More...

## Static Public Member Functions
static | operator Rigidbody2D (FlexibleRigidbody2D flexible)
| Cast FlexibleRigidbody2D to Rigidbody2D. More...
static | operator FlexibleRigidbody2D (Rigidbody2D value)
| Cast Rigidbody2D to FlexibleRigidbody2D. More...
Static Public Member Functions inherited from FlexibleField< Rigidbody2D >
static | operator T (FlexibleField< T > flexible)
| Cast FlexibleField to T. More...
static | operator FlexibleField< T > (T value)
| Cast T to FlexibleField. More...

## Additional Inherited Members
Protected Attributes inherited from FlexibleField< Rigidbody2D >
T | _Value
| Constant value More...
AnyParameterReference | _Parameter
| Parameter reference More...
InputSlotAny | _Slot
| Data input slot More...
Properties inherited from FlexibleField< Rigidbody2D >
override System.Type | fieldType`[get]`
| It returns a field type. More...
Parameter | parameter`[get]`
| It return a Paramter. More...
T | value`[get]`
| It returns a value More...

## Detailed Description

Class to handle a flexible Rigidbody2D type reference method there is more than one.

## Constructor & Destructor Documentation

FlexibleRigidbody2D | ( |  | ) |

FlexibleRigidbody2D default constructor

FlexibleRigidbody2D | ( | Rigidbody2D | value | ) |

FlexibleRigidbody2D constructor

Parameters

  value | Value

FlexibleRigidbody2D | ( | Rigidbody2DParameterReference | parameter | ) |

FlexibleRigidbody2D constructor

Parameters

  parameter | Parameter

FlexibleRigidbody2D | ( | InputSlotRigidbody2D | slot | ) |

FlexibleRigidbody2D constructor

Parameters

  slot | Slot

## Member Function Documentation

static operator FlexibleRigidbody2D | ( | Rigidbody2D | value | ) |
| explicit static

Cast Rigidbody2D to FlexibleRigidbody2D.

Parameters

  value | Rigidbody2D

static operator Rigidbody2D | ( | FlexibleRigidbody2D | flexible | ) |
| explicit static

Cast FlexibleRigidbody2D to Rigidbody2D.

Parameters

  flexible | FlexibleRigidbody2D

FlexibleComponent ToFlexibleComponent | ( |  | ) |

Convert to FlexibleComponent and return it.

Returns
  FlexibleComponent